Bug 148516 - [PATCH] security/snort: fetch the source tarball
Summary: [PATCH] security/snort: fetch the source tarball
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-12 10:00 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-07-17 14:10 UTC (History)
1 user (show)

See Also:


Attachments
snort-2.8.6.patch (1.05 KB, patch)
2010-07-12 10:00 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-07-12 10:00:20 UTC
As source tarball has been moved to Amazon S3, 'make fetch' fails.
Thus, we download the source in pre-fetch: section.

This PR also includes the patch in PR/148484.

Port maintainer (clsung@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-07-12 10:00:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sunpoet Po-Chuan Hsieh 2010-07-12 18:02:02 UTC
Hi,

After discussion with clsung@, he agrees to put the source tarball in his
MASTER_SITE_LOCAL directory. The updated patch is attached.

BR,
Sunpoet

--- snort-2.8.6.new.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/security/snort/Makefile /usr/ports/sunpoet/snort/Makefile
--- /usr/ports/security/snort/Makefile	2010-07-10 00:28:37.000000000 +0800
+++ /usr/ports/sunpoet/snort/Makefile	2010-07-12 22:10:30.000000000 +0800
@@ -8,8 +8,7 @@
 PORTNAME=	snort
 PORTVERSION=	2.8.6
 CATEGORIES=	security
-MASTER_SITES=	http://www.snort.org/dl/ \
-		http://dl.snort.org/snort-current/
+MASTER_SITES=	LOCAL/clsung/
 
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	Lightweight network intrusion detection system
@@ -126,14 +125,12 @@
 .endif
 
 .if defined(WITH_SNORTSAM)
+BUILD_DEPENDS+=		automake>=1.10.1:${PORTSDIR}/devel/automake110
 PATCH_SITES+=http://www.snortsam.net/files/snort-plugin/:snortsam
 PATCHFILES+=snortsam-2.8.6.diff.gz:snortsam
 .endif
 
 post-patch:
-.if defined(WITH_SNORTSAM)
-BUILD_DEPENDS+=		automake>=1.10.1:${PORTSDIR}/devel/automake110
-.endif
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} '/SUBDIRS = /s/doc//' ${WRKSRC}/Makefile.in
 .endif
--- snort-2.8.6.new.patch ends here ---
Comment 3 dfilter service freebsd_committer 2010-07-17 14:09:37 UTC
clsung      2010-07-17 13:09:23 UTC

  FreeBSD ports repository

  Modified files:
    security/snort       Makefile 
  Log:
  - source tar ball go to LOCAL
  - fix WITH_SNORTSAM knob
  
  PR:             ports/148484, ports/148516
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet_AT_sunpoet dot net>
  
  Revision  Changes    Path
  1.122     +3 -5      ports/security/snort/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Cheng-Lung Sung freebsd_committer 2010-07-17 14:09:43 UTC
State Changed
From-To: open->closed

Committed. Thank You.